#property copyright "JDPNZ"
#property link      "kduples@gmail.com"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_color3 Yellow
//---- parameters
extern int MA1 = 7;

//---- buffers
double Pers[];
double MAR1[];


//----
int ExtCountedBars=0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//|------------------------------------------------------------------|
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE, 0, 1, Red);
   SetIndexStyle(1,DRAW_LINE, 0, 1, Blue);
   //SetIndexStyle(2,DRAW_LINE, 0, 1, Yellow);
   SetIndexBuffer(0, Pers);
   SetIndexBuffer(1, MAR1);
   //SetIndexBuffer(2, MAR2);

//----
   SetIndexDrawBegin(0,10);
   SetIndexDrawBegin(1,10);
   //SetIndexDrawBegin(2,10);

//---- indicator buffers mapping
   SetIndexBuffer(0, Pers);
   SetIndexBuffer(1, MAR1);
   //SetIndexBuffer(2, MAR2);


//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double V1,V2;
   int i;
   if(Bars<=10) return(0);
   ExtCountedBars=IndicatorCounted();
//---- check for possible errors
   if (ExtCountedBars<0) return(-1);
//---- last counted bar will be recounted
   if (ExtCountedBars>0) ExtCountedBars--;
   int pos=Bars-ExtCountedBars-1;
   int pos2=pos;
   while(pos>=0)
     {
       if (High[pos]-Low[pos]<=0) {
         Pers[pos] = 0;
       } else {  
         Pers[pos] = ((Close[pos]-Low[pos])/(High[pos]-Low[pos]))*100;
       }  
       V1 = 0;
       for (i = pos + (MA1-1);i>=pos;i--) {
         V1 = V1 + Pers[i];
       }
       MAR1[pos] = V1/MA1;
       pos--;
     }

//----
   return(0);
  }
//+------------------------------------------------------------------+